Bug 891420 - Change default for compute node to poll for database connection indefinitely
Change default for compute node to poll for database connection indefinitely
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
medium Severity low
: snapshot3
: 2.1
Assigned To: Pádraig Brady
Ami Jeain
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-02 16:38 EST by Perry Myers
Modified: 2016-01-04 09:42 EST (History)
2 users (show)

See Also:
Fixed In Version: openstack-nova-2012.2.3-1.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-21 14:14:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Perry Myers 2013-01-02 16:38:04 EST
Description of problem:
Default behavior is for compute node to poll for connection to database 10 times before the service fails and dies

However in a production environment it is probably more useful to poll indefinitely, since it is possible a network disruption could last longer than 10 poll tries and you'd want the compute node to reconnect as soon as it can

So this bug is to change our default nova.conf file to contain:
sql_max_retries -1
Comment 1 Martin Magr 2013-01-15 10:31:00 EST
This setting could be done in spec file during installation.
Comment 2 Pádraig Brady 2013-01-28 12:10:11 EST
I need to think/test about the implications of this
Comment 7 Ami Jeain 2013-03-07 11:34:53 EST
verified in build openstack-nova-api-2012.2.3-4.el6ost.noarch using:
1. #service mysqld stop
2. watched the errors in the log files
3. restarted the mysqld service and made sure the reconnect occured
Comment 9 errata-xmlrpc 2013-03-21 14:14:42 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0657.html

Note You need to log in before you can comment on or make changes to this bug.